freebsd-ports/russian/apache13-modssl/pkg-install
Dmitry Sivachenko 6ac1f43ebb Upgrade to Apache 1.3.22, RA 30.9 and mod_ssl 2.8.5.
PR:		31797
Submitted by:	Petr Rehor <petr.dehor@decros.cz>
2001-11-08 11:23:25 +00:00

34 lines
694 B
Bash

#!/bin/sh
# $FreeBSD: /tmp/pcvs/ports/russian/apache13-modssl/Attic/pkg-install,v 1.1 2001-11-08 11:23:21 demon Exp $
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
USER=www
GROUP=${USER}
UID=80
GID=${UID}
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner"; \
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0